#jesd
set CoreJESD204BTXver {3.1.105}
set CoreJESD204BRXver {3.3.104}

#XCVR realted cores
set XCVRparamver {2.0.004}
set PF_XCVR_ERMver {3.1.100}
set PF_XCVRver {2.0.110}
set PF_XCVR_REF_CLKver {1.0.103}
set PF_TX_PLLver {2.0.300}
#{2.0.100}
set CORESMARTBERTVer {2.7.101}
set CORESMARTBERTver {2.7.101}
set CORE10GMACver {2.2.101}
set PF_DRIver {1.1.100}
set PF_IOD_CDRver {2.4.103}
set PF_IOD_CDR_CCCVer {2.1.105}
set CORETSEver {3.1.102}
set CORETSE_AHBver {3.1.102} 

#PCIE related
set PF_PCIEVer {2.0.104}
set PF_CLK_DIVVer {1.0.103}
set PF_NGMUXVer {1.0.101}
#dsp
set COREFFTVer {7.0.104}
set COREFIRVer {2.1.104}
set COREFIR_PFVer {2.2.108}

#CCC and osc
set PF_CCCver {2.2.100}
set PF_OSCver {1.0.102}

#uart
set COREUARTver {5.7.100}
set CoreUARTapbver {5.7.100}
set CoreUARTapbVer {5.7.100}

#processors
set PF_CORECORTEXM1ver {3.0.100}
set CORECORTEXM1ver {4.0.100}
set MIV_RV32IMA_L1_AHBVer {2.3.100}
set MIV_RV32IMA_L1_AHBver {2.3.100}
set MIV_RV32IMA_L1_AXIver {2.1.100}

#fifo,pfreset,initmonitor
set COREFIFOver_10g {2.6.108}
#10g uses old fifo ver
set COREFIFOver {2.7.105}
#set PF_INIT_MONITORver {2.0.105}
set PF_INIT_MONITORver {2.0.203}
set CORERESETVer {2.2.107}
set CORERESET_PFVer {2.3.100}
#RAM
set PF_URAMver {1.1.107}
set PF_SRAM_AHBL_AXIVer {1.2.108}
set PF_SRAM_AHBL_AXIver {1.2.108}
set CORETPSRAMVer {1.1.108}
set PF_TPSRAMver {1.1.108}
set PF_UPROMver {1.0.109}
set PF_DPSRAMVer {1.1.110}

#ddr
set PF_DDR3Ver {2.4.112}
set PF_DDR4Ver {2.4.112}

#bridgesl
set PF_CoreAHBLitever {5.5.101}
set PF_COREAHBTOAPB3ver {3.2.101}
set COREAHBLTOAXIVer {2.1.101}
set COREAXI4DMACONTROLLERVer {2.0.100}
set COREAXI4INTERCONNECTVer {2.8.103}
set COREAXITOAHBLVer {3.5.100}
set COREAHBTOAPB3ver {3.2.101}
set CoreAPB3ver {4.2.100}
set PF_CoreAPB3ver {4.2.100}
set COREAHBL2AHBL_BRIDGEver {2.1.108}
set CoreAHBLitever {5.5.101}
set CPRIver {2.0.1}

#other
set PF_CRYPTOver {1.0.106}
set COREJTAGDEBUGver {3.1.100}
set COREJTAGDEBUGVer {3.1.100}
set CoreGPIOver {3.2.102}
set CORESPIver {5.2.104}
set COREABCver {3.8.102}
set CORESYSSERVICESver {3.2.102}
set CORESYSSERVICES_PFver {3.2.102}
set PF_SYSTEM_SERVICESver {3.0.100}
set PF_TVSver {1.0.110}
set PF_TAMPERver {1.0.200}
#vault
#add_repository -location {www.actel-ip.com/repositories/in_test}
#change_vault_location -location {/home/APPS_Regression/captures/Vault/}

#tool profiles
set synprofile1 {Synplify Pro ME}
set simuprofile1 {ModelSim ME Pro}




#added for Rev F

#set die {MPF300T}
set die_eval {MPF300TS}
#set die_splash {MPF300TS_ES}
set die_splash {MPF300T}
set eval_package {FCG1152}
set splash_package {FCG484}
set eval_part_range {IND}
set splash_part_range {EXT}
#set splash_part_range {IND}

set die_devkit {RT4G150}
set devkit_package {1657 CG}
set devkit_part_range {MIL}


# A common procedure called by all tests.

# Computes the runtime for each command run in Libero

#

proc run_tool_wrapper { cmd } {

 

  # get tool name from the command

  #

  regexp {run_tool\s+-name\s+\{*(\w*)\}*} $cmd full1 tool;

 

  puts "Starting $tool command";

  set full_cmd "time \{ $cmd \}";

  set TIME_start [clock seconds];
  set runtime [ eval $full_cmd ];
  set TIME_taken [expr [clock seconds] - $TIME_start];
  puts "\nRUNTIME:$tool=$TIME_taken secs\n";
 	

  set runtime_secs [ expr [lindex $runtime 0]/1000000 ];

  puts "\nRUNTIME_bytime:$tool=$runtime_secs secs\n";

 

}

